org.apache.ignite.ml.selection.scoring.evaluator.context

## Class EmptyContext<L extends Serializable>

- java.lang.Object
- - org.apache.ignite.ml.selection.scoring.evaluator.context.EmptyContext<L>

- All Implemented Interfaces:
    Serializable, EvaluationContext<L,EmptyContext<L>>

      public class EmptyContext<L extends Serializable>
      extends Object
      implements EvaluationContext<L,EmptyContext<L>>

  Class represents context stub for metrics that don't require such context preparations.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aggregate(LabeledVector<L> vector)` Aggregates statistic from vector of sample.
    `EmptyContext<L>` | `mergeWith(EmptyContext<L> other)` Merges statistics of this and other context.
    `boolean` | `needToCompute()` Returns true if this contexts should be evaluated through map-reduce.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.selection.scoring.evaluator.context.EvaluationContext

      `empty`

- - ### Constructor Detail

    - #### EmptyContext

          public EmptyContext()

  - ### Method Detail

    - #### aggregate

          public void aggregate(LabeledVector<L> vector)

      Aggregates statistic from vector of sample.
      Specified by:
        `aggregate` in interface `EvaluationContext<L extends Serializable,EmptyContext<L extends Serializable>>`
      Parameters:
        `vector` - Vector.

    - #### mergeWith

          public EmptyContext<L> mergeWith(EmptyContext<L> other)

      Merges statistics of this and other context.
      Specified by:
        `mergeWith` in interface `EvaluationContext<L extends Serializable,EmptyContext<L extends Serializable>>`
      Parameters:
        `other` - Other context.
      Returns:
        New merged context.

    - #### needToCompute

          public boolean needToCompute()

      Returns true if this contexts should be evaluated through map-reduce.
      Specified by:
        `needToCompute` in interface `EvaluationContext<L extends Serializable,EmptyContext<L extends Serializable>>`
      Returns:
        True if this contexts should be evaluated through map-reduce.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023